<div class="ui container">
    <form class="ui large form" [formGroup]="victimeForm" autocomplete="off">

        <div class="ui centered header">Déclarer une victime</div>

        <div class="ui segments">
            <div class="ui top segment">
                <div class="ui header">Informations sur la victime</div>
            </div>
            <div class="ui secondary segment">
                <div class="field">
                    <label>Numérotation victime</label>
                    <input type="text" placeholder="1" formControlName="numeroVictime">
                </div>

                <div class="field">
                    <label>Nom</label>
                    <div class="two fields">
                        <div class="field">
                            <input type="text" placeholder="Prénom" formControlName="firstname">
                        </div>
                        <div class="field">
                            <input type="text" placeholder="Nom de famille" formControlName="lastname">
                        </div>
                    </div>
                </div>

                <div class="two fields">
                    <div class="field">
                        <label>Date de naissance</label>
                        <input type="date" formControlName="birthdate">
                    </div>
                    <div class="field">
                        <div class="field">
                            <label>Civilité</label>
                            <select class="ui fluid dropdown" formControlName="gender">
                                <option value="">Civilité</option>
                                <option value="MASCULIN">Homme</option>
                                <option value="FEMININ">Femme</option>
                                <option value="AUTRE">Autre</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="field">
                    <label>Adresse</label>
                    <input type="text" placeholder="Adresse complète" formControlName="adresse">
                </div>
            </div>
        </div>

        <div class="ui segments">
            <div class="ui top segment">
                <div class="ui header">Contacter</div>
            </div>
            <div class="ui secondary segment">
                <div class="two fields">
                    <div class="field">
                        <label>Téléphone</label>
                        <input type="text" placeholder="00-00-00-00-00" formControlName="telephone">
                    </div>
                    <div class="field">
                        <label>Personne à prévenir</label>
                        <input type="text" placeholder="Nom et prénom" formControlName="personnePrevenir">
                    </div>
                </div>
            </div>
        </div>

        <div class="ui segments">
            <div class="ui top segment">
                <div class="ui header">Commentaires</div>
            </div>
            <div class="ui secondary segment">
                <div class="field">
                    <textarea formControlName="commentaire" cols="30" rows="10"></textarea>
                </div>
            </div>
        </div>

        <br>
        <button type="submit" class="ui large teal button"
                [disabled]="!victimeForm.valid" (click)="onSubmit()" id="submit-form">
            Envoyer
        </button>

    </form>

</div>
